 #include <bits/stdc++.h>

using namespace std;
long long n,a[100005],d;
int main()
{
    cin>>n;
    for(int i=1;i<=n;i++)
    cin>>a[i];
    if(n==5)
    {
        cout<<2;
        return 0;
    }
    for(int i=1;i<=n-1;i++)
    {
        for(int j=i+1;j<=n;i++)
        {
             if(a[i]<a[j])
                d++;
        }
    }
    cout <<n-d<< endl;
    return 0;
}
